# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Sat Oct  9 16:32:35 2021
# ------------------------------------------------

package:
  name: r-textminer
  version: 3.0.5
source:
  sha256: 78f4b556845149c6093cef4767661bf7982e80e65cde9320dbbae798ad4bf462
  url:
    - https://cran.r-project.org/src/contrib/Archive/textmineR/textmineR_3.0.5.tar.gz
    - https://cran.r-project.org/src/contrib/textmineR_3.0.5.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r40ha856d6a_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - ca-certificates 2021.10.8 h5b45459_0
    - intel-openmp 2021.3.0 h57928b3_3372
    - libblas 3.9.0 11_win64_mkl
    - libflang 5.0.0 h6538335_20180525
    - libgit2 1.3.0 h8648793_1
    - liblapack 3.9.0 11_win64_mkl
    - libopenblas 0.3.18 pthreads_hc469a61_0
    - libssh2 1.10.0 h9a1e1f7_2
    - libzlib 1.2.11 h8ffe710_1013
    - llvm-meta 5.0.0 0
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-icu 58.2 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2021.3.0 hb70f87d_564
    - msys2-conda-epoch 20160418 1
    - openmp 5.0.0 vc14_1
    - openssl 3.0.0 h8ffe710_1
    - r-askpass 1.1 r40h6d2157b_2
    - r-assertthat 0.2.1 r40hc72bb7e_2
    - r-backports 1.2.1 r40h6d2157b_0
    - r-base 4.0.5 hddad469_2
    - r-cli 3.0.1 r40ha856d6a_1
    - r-clipr 0.7.1 r40hc72bb7e_0
    - r-crayon 1.4.1 r40hc72bb7e_0
    - r-credentials 1.3.1 r40hc72bb7e_0
    - r-curl 4.3.2 r40h6d2157b_0
    - r-data.table 1.14.2 r40h6d2157b_0
    - r-desc 1.4.0 r40hc72bb7e_0
    - r-digest 0.6.28 r40ha856d6a_0
    - r-float 0.2_6 r40hb106f1f_0
    - r-fs 1.5.0 r40ha856d6a_0
    - r-gert 1.4.1 r40hd1255ac_1
    - r-gh 1.3.0 r40hc72bb7e_0
    - r-gitcreds 0.1.1 r40hc72bb7e_0
    - r-glue 1.4.2 r40h6d2157b_0
    - r-gtools 3.9.2 r40h6d2157b_0
    - r-httr 1.4.2 r40hc72bb7e_0
    - r-ini 0.3.1 r40hc72bb7e_1003
    - r-isocodes 2021.02.24 r40hc72bb7e_0
    - r-jsonlite 1.7.2 r40h6d2157b_0
    - r-lattice 0.20_45 r40h6d2157b_0
    - r-lgr 0.4.3 r40hc72bb7e_0
    - r-lifecycle 1.0.1 r40hc72bb7e_0
    - r-magrittr 2.0.1 r40h6d2157b_1
    - r-matrix 1.3_4 r40hd2e18ed_0
    - r-mime 0.12 r40h6d2157b_0
    - r-mlapi 0.1.0 r40hc72bb7e_1003
    - r-openssl 1.4.5 r40h81a3cea_1
    - r-purrr 0.3.4 r40h6d2157b_1
    - r-r6 2.5.1 r40hc72bb7e_0
    - r-rappdirs 0.3.3 r40h6d2157b_0
    - r-rcpp 1.0.7 r40ha856d6a_0
    - r-rcpparmadillo 0.10.7.0.0 r40h399f8d5_0
    - r-rcppeigen 0.3.3.9.1 r40h399f8d5_0
    - r-rcppprogress 0.4.2 r40hc72bb7e_1
    - r-rhpcblasctl 0.21_247 r40h6d2157b_0
    - r-rlang 0.4.11 r40h6d2157b_0
    - r-rprojroot 2.0.2 r40hc72bb7e_0
    - r-rsparse 0.4.0 r40ha856d6a_0
    - r-rspectra 0.16_0 r40h399f8d5_4
    - r-rstudioapi 0.13 r40hc72bb7e_0
    - r-stopwords 2.2 r40hc72bb7e_0
    - r-stringi 1.7.5 r40ha856d6a_0
    - r-stringr 1.4.0 r40hc72bb7e_2
    - r-sys 3.4 r40h6d2157b_0
    - r-text2vec 0.6 r40ha856d6a_1
    - r-usethis 2.0.1 r40hc72bb7e_0
    - r-whisker 0.4 r40hc72bb7e_1
    - r-withr 2.4.2 r40hc72bb7e_0
    - r-yaml 2.2.1 r40h6d2157b_1
    - r-zip 2.2.0 r40h6d2157b_0
    - tbb 2021.3.0 h2d74725_0
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
    - zlib 1.2.11 h8ffe710_1013
  run:
    - m2w64-gcc-libs
    - r-base >=4.0,<4.1.0a0
    - r-gtools
    - r-magrittr
    - r-matrix
    - r-rcpp
    - r-rcpparmadillo
    - r-rcppprogress
    - r-rspectra
    - r-stopwords
    - r-stringr
    - r-text2vec >=0.5
test:
  commands:
    - '"%R%" -e "library(''textmineR'')"'
about:
  home: https://www.rtextminer.com/
  license: MIT
  license_family: MIT
  license_file:
    - D:\bld\r-textminer_1633797440145\_h_env/lib/R/share/licenses/MIT
    - LICENSE
  summary: An aid for text mining in R, with a syntax that should be familiar to experienced
    R users. Provides a wrapper for several topic models that take similarly-formatted
    input and give similarly-formatted output. Has additional functionality for analyzing
    and diagnostics for topic models.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
    - izahn
